Bug 44057 - PCNet/PCI card fails to init correctly.
PCNet/PCI card fails to init correctly.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-10 20:12 EDT by Rob K
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-10 20:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob K 2001-06-10 20:12:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
On an Australian spec Compaq Deskpro 486, the onboard PCnet/PCI ethernet
device fails to initialise correctly. I'm not sure whether it's the device
or the PCI bus on this early PCI system.

In dmesg, I see the following

PCI: Cannot allocate resource region 0 of device 00:00.0

for regions 0 to 5.

The output of the PCnet/PCI driver modules is:

eth0: PCnet/PCI 79c970 at 0x1000, warning: PROM address does not match CSB
address 00 00 00 00 00 00 
pcnet32: pcnet_32_private lp=c1d71000 lp_dma_addr=0x1d71000
pcnet32.c:v1.25kf 26.9.1999 tsbogend@alpha.franken.de

Any attempt to bind the device to an IP results in an Operation failed

How reproducible:

Steps to Reproduce:
1. Install a clean copy of Red Hat Linux 7.1
2. Boot the PCI :)

Actual Results:  Ethernet card fails to initialise/load/bind/whatever.

Expected Results:  I should be able to bind an IP to the ethernet device.
As it is /etc/rc.d/init.d/network start fails.

Additional info:
Comment 1 Arjan van de Ven 2001-06-11 10:41:53 EDT
This is fixed in kernels 2.4.3-7 and later, should be available in rawhide....
If such a kernel doesn't fix it for you, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.